Skip to main content
GET
/
v1
/
objects
/
list_public
JavaScript
import Runloop from '@runloop/api-client';

const client = new Runloop({
  bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const objectView of client.objects.listPublic()) {
  console.log(objectView.id);
}
import os
from runloop_api_client import Runloop

client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.objects.list_public()
page = page.objects[0]
print(page.id)
curl --request GET \
--url https://api.runloop.ai/v1/objects/list_public \
--header 'Authorization: Bearer <token>'


{
  "objects": [
    {
      "id": "<string>",
      "name": "<string>",
      "create_time_ms": 123,
      "size_bytes": 123,
      "delete_after_time_ms": 123,
      "metadata": {},
      "upload_url": "<string>"
    }
  ],
  "has_more": true,
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32>

The limit of items to return. Default is 20. Max is 5000.

starting_after
string

Load the next page of data starting after the item with the given ID.

name
string

Filter storage objects by name (partial match supported).

content_type
enum<string>

Filter storage objects by content type.

Available options:
unspecified,
text,
binary,
gzip,
tar,
tgz
state
enum<string>

Filter storage objects by state.

Available options:
UPLOADING,
READ_ONLY,
DELETED,
ERROR

Search by object ID or name.

include_total_count
boolean

If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.

Response

Successfully retrieved list of public Objects.

A paginated list of Objects.

objects
object[]
required

List of Object entities.

has_more
boolean
required

True if there are more results available beyond this page.

total_count
integer<int32> | null

Total number of Objects across all pages.